name: rosbag-cam
plugins:
- name: panda-rosbag-cam
  pluginSpec:
    image: registry.gitlab.com/lbl-anp/panda/dawn_pipeline/plugin-rosbag:v1.0.1
    resource:
      request.cpu: 100m
      limit.cpu: 1000m
      request.memory: 100Mi
      limit.memory: 500Mi
    env:
      SIZE: 256
      BAGDIR: /home/panda/mount/bags
      PRFX: panda-cam-stream
      TOPICS: "/bag/sensors/camera/image_color /bag/sensors/camera/camera_info"
nodes:
  W022:
scienceRules:
- 'schedule(panda-rosbag-cam): True'
successcriteria:
- WallClock(1d)
